#ifndef __DHT11
#define __DHT11

#define SKIP_LOW while (!(GPIOD->IDR & 0x0800)) {}
#define SKIP_HIGH while (GPIOD->IDR & 0x0800) {}

__attribute__((packed))
struct DHT11_Data {
	uint8_t humid_integral;
	uint8_t humid_decimal;
	uint8_t temp_integral;
	uint8_t temp_decimal;
	uint8_t crc;
};

int DHT11_run_test(void);

#endif
